<?php

$startTime = microtime(true);

$fileDir = dirname(__FILE__);
if (file_exists($fileDir . '/301config.php'))
{
	include($fileDir . '/301config.php');
}

require($fileDir . '/library/XenForo/Autoloader.php');
XenForo_Autoloader::getInstance()->setupAutoloader($fileDir . '/library');

XenForo_Application::initialize($fileDir . '/library', $fileDir);
XenForo_Application::set('page_start_time', $startTime);

$inputHandler = new XenForo_Input(new Zend_Controller_Request_Http());

$input = $inputHandler->filter(array(
	'tag' => XenForo_Input::STRING,
));

$target = false;
if ($input['tag'])
{
	/** @var XenForo_Model_Tag $tagModel */
	$tagModel = XenForo_Model::create('XenForo_Model_Tag');

	if ($tag = $tagModel->getTagByUrl(str_replace(' ', '-', $input['tag'])))
	{
		$target = XenForo_Link::buildPublicLink('canonical:tags', $tag);
	}
}

if (!$target)
{
	$target = XenForo_Link::buildPublicLink('canonical:tags');
}

$response = new Zend_Controller_Response_Http();
$response->setRedirect(XenForo_Link::convertUriToAbsoluteUri($target), 301);
$response->sendResponse();